API Reference
Log In
API Reference

Create Card

Create a card issue.

Authentication is mandatory.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

💳 Card issuance


📢 Considerations

The cardholder_name and shipping_address fields are sent and used according to the contract established with the merchant. They are used for the process of requesting the issuance of physical cards.

For debit card creation the customer must receive a confirmation via email. This email contains the card details including the sixteen digits of the card, CVV( card verification value) and expiration date. Please note that this information will be valid for 24 hours, after this period of time this information will not be available, this for security purpose.


📘

Note:

For the debit card creation, the API response corresponds to the request number to be able to track it and be able to check the status of the card at all times.


📖 Example Requests

Below you will find the body of two example JSON requests for the api:

  • Example 1: Create a VISA DEBIT type card.
  • Example 2: Create a VIRTUAL PREPAID VISA type card.
{
    "card_type": "VI2021",
    "customer_id": "xxxxxx",
    "account_number": "133009659",
    "cardholder_name": "Ana Larios",
    "shipping_address": "Managua, Nicaragua",
    "branch_code": "000201"
}
{
    "card_type": "VI2028",
    "customer_id": "xxxxxx",
    "cardholder_name": "Ana Larios",
    "shipping_address": "Managua, Nicaragua",
    "branch_code": "000201"
}

📖 Example Response

Below you will find the body of two sample JSON responses:

  • Example 1: VISA DEBIT card creation response.
  • Example 2: VIRTUAL PREPAYMENT card creation response.
{
    "application_number": 6520158
}
{
    "card_number": "0000000000000000",
    "card_type": "VI2028",
    "account_number": "XXXXXXXX",
    "customer_id": "00000",
    "external_reference": "GES-150123-VI2028",
    "expires_date": "2023-03-22T22:15:22.612Z",
    "request_id": 204075,
    "cvv": "608",
    "cardholder_name": "Carlos Mora",
    "shipping_address ": "Direccion de envío",
    "branch_code": "000201"
}

JSON response body fields:

NameDescriptionType
card_numberCard number.string
card_typeCard type code to be requested.string
account_numberAccount number associated with the card.string
customer_idCustomer number to which the requested card will be associated.string
external_referenceCard application reference.string
expires_dateExpires date.date
request_idRequest id.number
cvvCard verification value.string
cardholder_namePersonalized name printed on the card.string
shipping_addressAddress to which the card will be delivered.string
branch_codeCode of the LAFISE branch where the card will be withdrawn.string
urlLink that allows you to view the card data to be used at merchants. Response for VISA DEBIT CARD creation requests.string

Cards catalogs

📘 Card types

CodeDescription
VI2028VIRTUAL PREPAID VISA.
VI2021DEBIT VISA.

📘 Branches

CodeDescription
000114TEGA MAIN AGENCY.
000201HEAD OFFICE SPS.
000230LA CEIBA AGENCY.

Path Params
string
enum
required
Defaults to BLNI

Description: Defines the source bank code.

Allowed:
Body Params
string
required
Defaults to VI2028

Description: Card type code to be requested.
Size: 6.
Required to: Physical card type.

string
required
Defaults to 00000

Description: Customer number to which the requested card will be associated.
Size: 9.

string
Defaults to XXXXXXXX

Description: Account number associated with the card.
Size: 10.

string
required
Defaults to Personalized name

Description: Personalized name printed on the card.
Size: 19.

string
required
Defaults to Address NI

Description: Address to which the card will be delivered.
Size: 160.

string
required
Defaults to 000114

Description: Code of the LAFISE branch where the card will be withdrawn.
Size: 8.
Required to: Physical card type.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json